---
title: "Assign brand"
url: "https://docs.signnow.com/docs/deprecated-branding/operations/post-v2-brands-brand_id-assign"
type: "endpoint"
section: "deprecated-branding"
slug: "deprecated-branding/operations/post-v2-brands-brand_id-assign"
method: "POST"
path: "/v2/brands/{brand_id}/assign"
operation_id: "post-v2-brands-brand_id-assign"
authorization: "bearer"
---

# Assign brand

`POST /v2/brands/{brand_id}/assign`

This endpoint allows users to assign branding to an entity.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `brand_id` | string | Yes |  |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "entity_type",
    "entity_unique_id"
  ],
  "properties": {
    "entity_type": {
      "type": "string",
      "description": "Must be `application`, `document`, `document_group`. Coming soon:  `organization`."
    },
    "entity_unique_id": {
      "type": "string",
      "description": "The specified application ID."
    }
  },
  "x-examples": {
    "Example 1": {
      "entity_id": "{entity_unique_id}",
      "entity_type": "invite|application|user|team|organization"
    }
  }
}
```

**Example** (`Document`)

```json
{
  "entity_type": "document",
  "entity_unique_id": "34XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
```

**Example** (`Application`)

```json
{
  "entity_type": "application",
  "entity_unique_id": "56XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
```

**Example** (`Document Group`)

```json
{
  "entity_type": "document_group",
  "entity_unique_id": "12XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
}
```

## Responses

### 201

Created

### 400

* Request without token/with invalid external bearer token/ with external app basic token
* Request with valid bearer token from other user logged in
* Request with invalid payload
* Request with `entity_type` is not string
* Request with `entity_type` is missing
* Request with `entity_type` is empty
* Request with `entity_type` is not `application`, `document`, `document_group`
* Request with `entity_unique_id` is not string
* Request with `entity_unique_id` is missing
* Request with `entity_unique_id` is empty
* Request when brand assignment already exists for the `application`, `document`, `document_group`

**Example** (`Example 1`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Request with invalid payload`)

```json
{
  "errors": [
    {
      "code": 25002017,
      "message": "Invalid payload given."
    }
  ]
}
```

**Example** (`Request with entity_id is missing`)

```json
{
  "errors": [
    {
      "code": 25002023,
      "message": "Entity unique id is required."
    }
  ]
}
```

**Example** (`Request with entity_type is empty`)

```json
{
  "errors": [
    {
      "code": 25002020,
      "message": "Entity type must not be an empty string."
    }
  ]
}
```

**Example** (`Request with entity_type is missing`)

```json
{
  "errors": [
    {
      "code": 25002019,
      "message": "Entity type is required."
    }
  ]
}
```

**Example** (`Request with entity_type is not string`)

```json
{
  "errors": [
    {
      "code": 25002018,
      "message": "Entity type must be a string."
    }
  ]
}
```

**Example** (`Request with entity_unique_id is empty`)

```json
{
  "errors": [
    {
      "code": 25002024,
      "message": "Entity unique id must not be an empty string."
    }
  ]
}
```

**Example** (`Request with entity_type is not application`)

```json
{
  "errors": [
    {
      "code": 25002021,
      "message": "Entity type contains an unexpected value."
    }
  ]
}
```

**Example** (`Request with entity_unique_id is not string`)

```json
{
  "errors": [
    {
      "code": 25002022,
      "message": "Entity unique id must be a string."
    }
  ]
}
```

**Example** (`Request with valid bearer token from other user logged in`)

```json
{
  "errors": [
    {
      "code": 25002030,
      "message": "No access to the brand."
    }
  ]
}
```

**Example** (`Request when brand assignment already exists for the application`)

```json
{
  "errors": [
    {
      "code": 25002028,
      "message": "Brand assignment already exists for provided entity."
    }
  ]
}
```

**Example** (`Request without token/with invalid external bearer token/ with external app basic token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* Request with `entity_unique_id` does not exist - 40 characters
* Request with another user’s `entity_unique_id`
* Request with `entity_unique_id` for deleted/deactivated application

**Example** (`Request with another user’s entity_unique_id`)

```json
{
  "errors": [
    {
      "code": 25002026,
      "message": "Action allowed only for the assignment owner."
    }
  ]
}
```

**Example** (`Request with entity_id for deleted/deactivated application`)

```json
{
  "errors": [
    {
      "code": 25002026,
      "message": "Action allowed only for the assignment owner."
    }
  ]
}
```

**Example** (`Request with entity_unique_id does not exist - 40 characters`)

```json
{
  "errors": [
    {
      "code": 25002026,
      "message": "Action allowed only for the assignment owner."
    }
  ]
}
```

### 404

* Request with a Bearer token from a user authorised with an external token from the app they don’t own
* Request with `brand_id` which does not exist

**Example** (`Request with brand_id which does not exist`)

```json
{
  "errors": [
    {
      "code": 25002016,
      "message": "Brand not found."
    }
  ]
}
```

**Example** (`Request with a Bearer token from a user authorised with an external token from the app they don’t own`)

```json
{
  "errors": [
    {
      "code": 25002001,
      "message": "Brand action not allowed"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/brands/{brand_id}/assign" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"entity_type": "document", "entity_unique_id": "34XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"}'
```

---
*Full reference: https://docs.signnow.com/docs/deprecated-branding/operations/post-v2-brands-brand_id-assign*
